Bug 259354 - cad/opencascade: Update to 7.6.0
Summary: cad/opencascade: Update to 7.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thierry Thomas
URL: https://dev.opencascade.org/content/o...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-22 12:24 UTC by Loïc Bartoletti
Modified: 2021-11-07 17:22 UTC (History)
1 user (show)

See Also:


Attachments
OpenCascade 7.5.2 (7.79 KB, patch)
2021-10-22 12:24 UTC, Loïc Bartoletti
no flags Details | Diff
Upgrade cad/opencascade to 7.6.0 (201.93 KB, patch)
2021-11-04 18:57 UTC, Thierry Thomas
thierry: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2021-10-22 12:24:07 UTC
Created attachment 228944 [details]
OpenCascade 7.5.2

Salut Thierry,

I want to try pythonOCC-core, but it requires opencascade-7.5.2. 

I don't have a OC account, so can not download from the main site, but I downloaded the tarball from "https://git.dev.opencascade.org/gitweb/?p=occt.git;a=snapshot;h=refs/tags/V7_5_2;sf=tgz" so you have to fix the link/distinfo and maybe WRKSRC.

Furthermore, I removed the file `patch-inc_Standard__Time.hxx` and fix plist.


Git available here: https://github.com/lbartoletti/freebsd-ports/blob/opencascade-7.5.2/cad/opencascade/Makefile

PS: pythonOCC seems to require BUILD_RELEASE_DISABLE_EXCEPTIONS disabled: https://github.com/tpaviot/pythonocc-core/blob/5f84943bb580286e4e39a71a19fb64e565dbae4f/INSTALL.md#requirements dunno how this option can change behavior of other ports depending on opencascade.
Comment 1 Thierry Thomas freebsd_committer 2021-10-24 17:38:56 UTC
Hello Loïc,

The tarball of these maintenance releases are much smaller than the regular releases: e.g. 45,6 Mb for V7_5_2.tgz vs. 360 Mb for opencascade-7.5.0.tgz.

Do you know how to get the missing bits? Maybe we have to untar V7_5_2 on top of V7.5.0 and make a tarball from that?
Comment 2 Thierry Thomas freebsd_committer 2021-11-03 17:20:58 UTC
Meanwhile, version 7.6.0 has been release:
https://dev.opencascade.org/content/open-cascade-technology-760-released

I'll try to upgrade it, and I hope that it will include the bits from 7.5.2.
Comment 3 Thierry Thomas freebsd_committer 2021-11-04 18:57:55 UTC
Created attachment 229271 [details]
Upgrade cad/opencascade to 7.6.0

Loïc, could you please check if this release fits your needs?
Comment 4 Thierry Thomas freebsd_committer 2021-11-05 06:05:17 UTC
Christoph,
cad/freefall fails with this 7.6.0 release:

--- src/3rdParty/salomesmesh/CMakeFiles/SMESH.dir/src/SMESH/SMESH_MeshAlgos.cpp.o ---
In file included from /wrkdirs/usr/ports/cad/freecad/work/FreeCAD-0.19.2/src/3rdParty/salomesmesh/src/SMESH/SMESH_MeshAlgos.cpp:42:
/usr/local/include/OpenCASCADE/IntAna_Quadric.hxx:39:40: error: unknown type name 'gp_Sphere'
  Standard_EXPORT IntAna_Quadric(const gp_Sphere& Sph);
                                       ^
/usr/local/include/OpenCASCADE/IntAna_Quadric.hxx:42:40: error: unknown type name 'gp_Cylinder'
  Standard_EXPORT IntAna_Quadric(const gp_Cylinder& Cyl);
                                       ^
/usr/local/include/OpenCASCADE/IntAna_Quadric.hxx:45:40: error: unknown type name 'gp_Cone'
  Standard_EXPORT IntAna_Quadric(const gp_Cone& Cone);
                                       ^
/usr/local/include/OpenCASCADE/IntAna_Quadric.hxx:51:42: error: unknown type name 'gp_Sphere'
  Standard_EXPORT void SetQuadric (const gp_Sphere& Sph);
                                         ^
/usr/local/include/OpenCASCADE/IntAna_Quadric.hxx:54:42: error: unknown type name 'gp_Cone'
  Standard_EXPORT void SetQuadric (const gp_Cone& Con);
                                         ^
/usr/local/include/OpenCASCADE/IntAna_Quadric.hxx:57:42: error: unknown type name 'gp_Cylinder'
  Standard_EXPORT void SetQuadric (const gp_Cylinder& Cyl);
                                         ^
6 errors generated.
*** [src/3rdParty/salomesmesh/CMakeFiles/SMESH.dir/src/SMESH/SMESH_MeshAlgos.cpp.o] Error code 1

make[3]: stopped in /wrkdirs/usr/ports/cad/freecad/work/.build
--- src/App/CMakeFiles/FreeCADApp.dir/all ---
*** [src/App/CMakeFiles/FreeCADApp.dir/all] Error code 6

make[2]: stopped in /wrkdirs/usr/ports/cad/freecad/work/.build
--- src/3rdParty/salomesmesh/CMakeFiles/SMESH.dir/all ---
--- src/3rdParty/salomesmesh/CMakeFiles/SMESH.dir/src/SMESH/SMESH_Mesh.cpp.o ---
In file included from /wrkdirs/usr/ports/cad/freecad/work/FreeCAD-0.19.2/src/3rdParty/salomesmesh/src/SMESH/SMESH_Mesh.cpp:69:
In file included from /usr/local/include/OpenCASCADE/BRepPrimAPI_MakeBox.hxx:25:
In file included from /usr/local/include/OpenCASCADE/BRepBuilderAPI_MakeShape.hxx:28:
In file included from /usr/local/include/OpenCASCADE/Message_ProgressRange.hxx:111:
In file included from /usr/local/include/OpenCASCADE/Message_ProgressIndicator.hxx:157:
In file included from /usr/local/include/OpenCASCADE/Message_ProgressScope.hxx:23:
/usr/local/include/OpenCASCADE/Precision.hxx:98:7: error: redefinition of 'Precision'
class Precision 
      ^
/usr/local/include/OpenCASCADE/Extrema_POnSurf.lxx:15:10: note: '/usr/local/include/OpenCASCADE/Precision.hxx' included multiple times, additional include site here
#include <Precision.hxx>
         ^
/usr/local/include/OpenCASCADE/Message_ProgressScope.hxx:23:10: note: '/usr/local/include/OpenCASCADE/Precision.hxx' included multiple times, additional include site here
#include <Precision.hxx>
         ^
1 error generated.
*** [src/3rdParty/salomesmesh/CMakeFiles/SMESH.dir/src/SMESH/SMESH_Mesh.cpp.o] Error code 1

make[3]: stopped in /wrkdirs/usr/ports/cad/freecad/work/.build
2 errors

I'll try to find a fix for these errors.
Comment 5 Thierry Thomas freebsd_committer 2021-11-05 17:48:31 UTC
(In reply to Thierry Thomas from comment #4)
These errors have been noticed for 7.6.0-beta in this thread:
https://forum.freecadweb.org/viewtopic.php?f=4&t=62738
Comment 6 commit-hook freebsd_committer 2021-11-05 20:48:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4cae8b2d6f55c2b1a7d0b7b0bc9a42c9f2e0a516

commit 4cae8b2d6f55c2b1a7d0b7b0bc9a42c9f2e0a516
Author:     Christoph Moench-Tegeder <cmt@FreeBSD.org>
AuthorDate: 2021-11-05 20:45:28 +0000
Commit:     Christoph Moench-Tegeder <cmt@FreeBSD.org>
CommitDate: 2021-11-05 20:45:28 +0000

    cad/freecad: fix build with opencascade 7.6.0

    subcomponent smesh needs some minor massaging, already done upstream

    PR:             259354
    Reported by:    thierry@
    Obtained from:  https://github.com/FreeCAD/FreeCAD/commit/6f3b00d67ec0bd0072b7b493e2a38d2a2e3af27d

 ...-6f3b00d67ec0bd0072b7b493e2a38d2a2e3af27d (new) | 133 +++++++++++++++++++++
 1 file changed, 133 insertions(+)
Comment 7 Thierry Thomas freebsd_committer 2021-11-05 21:51:30 UTC
(In reply to commit-hook from comment #6)
Thanks!
Just letting some more time for Loïc to check with pythonOCC before committing.
Comment 8 Loïc Bartoletti freebsd_committer 2021-11-06 12:31:29 UTC
Thanks Thierry!

pythonOCC does not seem ready for OCCT 7.6.0 but nevermind, it's ok for me. I'll fill an issue or try to fix it later.
Comment 9 Thierry Thomas freebsd_committer 2021-11-07 17:21:32 UTC
Committed!
Comment 10 commit-hook freebsd_committer 2021-11-07 17:22:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=dd9a3bcd4a24d8fa87f4ca52661d35b36ab5bf90

commit dd9a3bcd4a24d8fa87f4ca52661d35b36ab5bf90
Author:     Thierry Thomas <thierry@FreeBSD.org>
AuthorDate: 2021-11-07 17:16:24 +0000
Commit:     Thierry Thomas <thierry@FreeBSD.org>
CommitDate: 2021-11-07 17:21:17 +0000

    cad/opencascade: upgrade to 7.6.0

    Release notes at
    <https://dev.opencascade.org/content/open-cascade-technology-760-released>.

    PR:             259354
    Reported by:    lbartoletti

 cad/opencascade/Makefile                           |   38 +-
 cad/opencascade/distinfo                           |    6 +-
 cad/opencascade/files/patch-CMakeLists.txt         |    8 +-
 .../files/patch-adm_cmake_occt__csf.cmake          |   14 +-
 .../patch-src_DrawResources_CheckCommands.tcl      |   18 +-
 ...ch-src_IVtkDraw_IVtkDraw__Interactor.cxx (gone) |   16 -
 .../files/patch-src_StepFile_recfile.pc (gone)     |   11 -
 cad/opencascade/pkg-plist                          | 3168 ++++++++------------
 8 files changed, 1309 insertions(+), 1970 deletions(-)